LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   SlackBuilds flash-player-plugin Error (http://www.linuxquestions.org/questions/slackware-14/slackbuilds-flash-player-plugin-error-607196/)

Slackwoman 12-16-2007 07:30 PM

SlackBuilds flash-player-plugin Error
 
OK, I've followed the instructions given at SlackBuilds.org but am getting this error message when trying to install flash-player-plugin: "Cannot stat flashplayer.xpt: No such file or directory." I'm sure there's something obvious I'm overlooking but I can't figure out what it is.

TSquaredF 12-16-2007 08:30 PM

Well, it doesn't work because the file flashplayer.xpt does not exist in the Adobe Flashplayer Plugin package. I don't know why the SlackBuild is written the way it is, but I've sent an email to find out. Have also referenced this thread. It appears you have found a real SlackBuilds.org bug!
Regards,
Bill

Chuck56 12-16-2007 09:04 PM

The install_flash v115 file is missing the flashplayer.xpt file. See if you can find an older version of the install_flash_player_9_linux.tar,gz file that has the xpt file. I have one from June 2007 if you need it.

Slackwoman 12-16-2007 10:10 PM

Thanks for the info. I feel better knowing I didn't waste anyone's time. I guess I'll install the linuxpackages.net package for now.

rworkman 12-16-2007 10:12 PM

I just got your mail, Bill - thanks! :)

This is due to a change in the upstream package.
I've just posted a new one that checks the version of the shared library inside the tarball, and if it's not what the script expects, prints a warning. This should at least give some clue in case this happens again :)

In the meantime (until we can get it checked out and pushed at SlackBuilds.org), you can get a script for the new version from here:
http://rlworkman.net/flash-player-plugin.tar.gz (complete tarball)
http://rlworkman.net/flash-player-plugin/ (browse files)


All times are GMT -5. The time now is 03:24 AM.